Skip to main content

azureDevopsOrganizations

Returns Azure DevOps organizations (accounts) the user has access to for the given integration

azureDevopsOrganizations(
integrationId: ID!
filters: OrganizationFiltersInput = { }
): [GenericModel!]!

Arguments

azureDevopsOrganizations.integrationId ● ID! non-null scalar

Azure DevOps integration ID

azureDevopsOrganizations.filters ● OrganizationFiltersInput input

Type

GenericModel object

Example request

This generated query uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the integrations query first and use data.integrations.collection[].id as integrationId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetAzureDevopsOrganizations($integrationId: ID!) {\n azureDevopsOrganizations(integrationId: $integrationId) { id name }\n}","variables":{"integrationId":"<integration_id>"}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute

Resources

By exploring our content, you'll find resources that will enhance your understanding of the importance of a Security Application Program.

Conviso Blog: Explore our blog, which offers a collection of articles and posts covering a wide range of AppSec topics. The content on the blog is primarily in English.

Conviso's YouTube Channel: Access a wealth of informative videos covering various topics related to AppSec. Please note that the content is primarily in Portuguese.